# std::experimental::source_location::file_name

From cppreference.com
< cpp‎ | experimental‎ | source location

constexpr const char* file_name() const noexcept; |  | (library fundamentals TS v2)

Returns the name of the current source file represented by this object, represented as a null-terminated byte string.

### Parameters

(none)

### Return value

The name of the current source file represented by this object, represented as a null-terminated byte string.

### Example

| This section is incomplete Reason: no example

### See also

line | return the line number represented by this object (public member function)
column | return the column number represented by this object (public member function)
function_name | return the name of the function represented by this object, if any (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/source_location/file_name&oldid=98278"